package org.khelekore.jsizer;

/** A filter that checks that classes start with a given prefix. */
public class PrefixFilter implements ClassNameFilter {
    private String prefix;
    
    public PrefixFilter (String prefix) {
	this.prefix = prefix;
    }

    public boolean accept (String className) {
	return className.startsWith (prefix);
    }

    public String getDescription () {
	return prefix;
    }
}
