package org.khelekore.jsizer.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.khelekore.jsizer.HierarchyGraphBuilder;
import org.khelekore.jsizer.SizePanel;

/** An action that sets the graph type to a class hierarchy graph.
 */
public class HierarchyAction extends AbstractAction {
    private SizePanel sp;

    public HierarchyAction (SizePanel sp) {
	super ("Class Hierarchy");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	sp.setGraphBuilder (new HierarchyGraphBuilder ());
    }
}