package org.khelekore.jsizer;

/** To be able to filter out classes */
public interface ClassNameFilter {
    /** Check if this filter accepts the given class name 
     * @return true if the given className is accepted, false otherwise.
     */
    boolean accept (String className);
    
    /** Get a string describing the filter. */
    String getDescription ();
}
