package org.khelekore.jsizer;

import java.awt.EventQueue;
import java.io.File;

/** Class to start up JSizer.
 */
public class Run {
    public static void main (final String[] args) {
	EventQueue.invokeLater (new Runnable () {
		public void run () {
		    JSizer s = new JSizer ();
		    s.buildGui ();
		    s.show ();
		    for (String a : args)
			s.addJarFile (new File (a), false);
		    if (args.length > 0)
			s.runSizer ();
		}
	    });
    }
}
