package org.khelekore.jsizer.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.khelekore.jsizer.EqualSizeTreeNodeFactory;
import org.khelekore.jsizer.SizePanel;
import org.khelekore.jsizer.TreeNodeFactory;

/** An action that sets the tree node factory to the default factory.
 */
public class EqualSizeNodeFactoryAction extends AbstractAction {
    private SizePanel sp;

    public EqualSizeNodeFactoryAction (SizePanel sp) {
	super ("Equal sized nodes");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	TreeNodeFactory treeNodeFactory = new EqualSizeTreeNodeFactory ();
	sp.setTreeNodeFactory (treeNodeFactory);
    }
}