package org.khelekore.jsizer.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.khelekore.jsizer.FullNameGraphBuilder;
import org.khelekore.jsizer.SizePanel;

/** An action that sets the graph type to full name graph.
 */
public class FullNameAction extends AbstractAction {
    private SizePanel sp;

    public FullNameAction (SizePanel sp) {
	super ("Full name");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	sp.setGraphBuilder (new FullNameGraphBuilder ());
    }
}